IRPCExportedDataSets.GetExportedDataSet

View as Markdown

Vault API / standard read session idempotent

Gets one exported data set by ID.

ServiceExported data sets MFiles.IRPCExportedDataSets
gRPC method/MFiles.IRPCExportedDataSets/GetExportedDataSet
HTTP (mf-http-grpc)POST /grpc/v1/get-exported-data-set
RequestGetExportedDataSetRequest
ResponseGetExportedDataSetResponse
Book and levelVault API, standard
Kindread
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetExportedDataSetRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
idint32The ID of the exported data set.

Response: GetExportedDataSetResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
pexpdatasetExportedDataSetThe exported data set. See ExportedDataSet.
pexpdataset.idint32Exported data set ID.
pexpdataset.namestringThe name of the data set.
pexpdataset.object_types[]repeated ExportedDataObjectTypeRoot nodes representing an object type.
pexpdataset.object_types[].object_typeint32Object type or value list ID.
pexpdataset.object_types[].property_defs[]repeated ExportedDataPropertyDefChild property definition nodes.
pexpdataset.object_types[].object_filterSearchConditionArrayThe filtering conditions that limit the object set of this node.
pexpdataset.optionsEXPORTEDDATASETFLAGSData set flags.
pexpdataset.options.allboolSpecifies all flags set; Including any future flags.
pexpdataset.options.disabledboolPresent if the data set is disabled. If not present, the data set is enabled.
pexpdataset.options.scheduledboolPresent if the data set execution is scheduled.
pexpdataset.options.incrementalboolExported data set flags.
pexpdataset.schedulebytesThe schedule of this data set extraction (a serialized Task object of Task Scheduler).
pexpdataset.database_connection_stringstringThe database connection string.
pexpdataset.run_as_user_idint32"Run as" user id for the exported data set.
pexpdataset.database_schemaExportedDataSetDBSchemaThe database schema.Values: EXPORTED_DATA_SET_DBSCHEMA_GENERIC (0).